Announcement

Collapse
No announcement yet.

Compilation NRPE sous OpenBSD v4.0

Collapse
X
 
  • Filter
  • Time
  • Show
Clear All
new posts

  • Compilation NRPE sous OpenBSD v4.0

    Bonjour à tous,


    J'ai un soucis avec l'installation du serveur NRPE sous OpenBSD. J'espère pouvoir trouver de l'aide ici.


    Pour commencer, jme rends dans les ports
    Code:
    cd /usr/ports/net/nagios/nrpe/
    puis je lance tout
    Code:
    make && make install && make clean

    Seulement un problème survient pendant le "make install" puisque j'ai une erreur :
    Code:
    # make install
    ===>  nrpe-2.5.2 depends on: nagios-plugins-1.4.3p2 - not found
    ===>  Verifying install for nagios-plugins-1.4.3p2 in net/nagios/plugins
    ===>  Checking files for nagios-plugins-1.4.3p2
    `/usr/ports/distfiles/nagios-plugins-1.4.3.tar.gz' is up to date.
    >> Checksum OK for nagios-plugins-1.4.3.tar.gz. (sha1)
    ===>  nagios-plugins-1.4.3p2 depends on: samba-3.0.21bp3 - not found
    ===>  Verifying install for samba-3.0.21bp3 in net/samba
    ===>  Checking files for samba-3.0.21bp3
    `/usr/ports/distfiles/samba-3.0.21b.tar.gz' is up to date.
    >> Checksum OK for samba-3.0.21b.tar.gz. (sha1)
    ===>  samba-3.0.21bp3 depends on: popt-* - not found
    ===>  Verifying install for popt-* in devel/popt
    ===>  Checking files for popt-1.7p0
    >> popt-1.7.tar.gz doesn't seem to exist on this system.
    >> Fetch ftp://ftp.mirrorservice.org/sites/ftp.rpm.org/pub/rpm/dist/rpm-4.1.x/popt-1.7.tar.gz.
    Trying 212.219.56.134...
    Unknown command `EPSV'

    Après ça il ne se passe plus rien ...


    Quelqu'un a t-il une idée ?



    Merci d'avance.

  • #2
    >> popt-1.7.tar.gz doesn't seem to exist on this system.
    >> Fetch ftp://ftp.mirrorservice.org/sites/ft...opt-1.7.tar.gz.
    Trying 212.219.56.134...
    Unknown command `EPSV'

    Aller, je ne connais pas OpenBSD, mais je dirai qu'il a un soucis avec popt et la commande EPSV...

    Vérifie tes port, savoir s'ils sont bien a jours, au pire install tous les dépendance. (yades commande pour ca non ? )
    Centreon 2.x

    Comment


    • #3
      Justement, le problème est là --> je ne peux pas installer popt

      [ EDIT : les ports sont à jour au moins pour ça puisque "popt" y est présent donc pas de soucis de ce coté la ]

      Même en le cherchant dans les ports, je lance une compile, mais il est impossible de le récupérer ...

      Et comme il s'agit un système opérationnel très important, je ne peut pas me permettre de faire bordel dessus.
      Last edited by lord_kaiser; 17 April 2007, 10:41. Reason: I want

      Comment

      Working...
      X